Skip to main content
`Ctrl`+`K`
scipy.signal.

# ss2zpk

scipy.signal.ss2zpk(A, B, C, D, input=0)

  State-space representation to zero-pole-gain representation.

  A, B, C, D defines a linear state-space system with p inputs, q outputs, and n state variables.

  Parameters:
    A array_like

      State (or system) matrix of shape `(n, n)`

    B array_like

      Input matrix of shape `(n, p)`

    C array_like

      Output matrix of shape `(q, n)`

    D array_like

      Feedthrough (or feedforward) matrix of shape `(q, p)`

    input int, optional

      For multiple-input systems, the index of the input to use.

  Returns:
    z, p sequence

      Zeros and poles.

    k float

      System gain.